org.apache.nutch.core.jsoup.extractor

## Class JsoupDocument.DocumentField

- java.lang.Object
- - org.apache.nutch.core.jsoup.extractor.JsoupDocument.DocumentField

- Enclosing class:
    JsoupDocument

      public static class JsoupDocument.DocumentField
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentField(java.lang.String name, java.lang.String cssSelector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttribute()`
    `java.lang.String` | `getCssSelector()`
    `java.lang.String` | `getDefaultValue()`
    `java.lang.String` | `getName()`
    `Normalizable` | `getNormalizer()`
    `void` | `setAttribute(java.lang.String attribute)`
    `void` | `setDefaultValue(java.lang.String defaultValue)`
    `void` | `setNormalizer(Normalizable normalizer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentField

          public DocumentField(java.lang.String name,
                               java.lang.String cssSelector)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getCssSelector

          public java.lang.String getCssSelector()

    - #### setAttribute

          public void setAttribute(java.lang.String attribute)

    - #### getAttribute

          public java.lang.String getAttribute()

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

    - #### setDefaultValue

          public void setDefaultValue(java.lang.String defaultValue)

    - #### getNormalizer

          public Normalizable getNormalizer()

    - #### setNormalizer

          public void setNormalizer(Normalizable normalizer)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2019 The Apache Software Foundation